<script setup lang="ts">

import { onMounted, ref } from 'vue';
import DayPlanning from '../components/DayPlanning.vue';
import dayjs, { Dayjs } from 'dayjs';
import { useBookingStore } from '@/stores/booking';
import { storeToRefs } from 'pinia';


const bookingStore = useBookingStore();
const {bookings} = storeToRefs(bookingStore);

const today = ref<Dayjs>(dayjs());



onMounted(() => {
  bookingStore.fetchBookings(today.value.toDate(), today.value.toDate());
});
</script>
  
<template>
  <DayPlanning :switchable="false" :date="today" :bookings="bookings" />
</template>